Panel bugs while adding PHP versions !

Discussion in 'Installation/Configuration' started by Keoz, Jan 13, 2017.

  1. Keoz

    Keoz New Member

    Hello,

    I have been testing ISP Config3 for a while on a remote server dedicated to test (test server).
    All was fine, so yesterday I decided to use it in production on another remote server (prod server) with exactly the same distro installed : Ubuntu 16.04.

    Yesterday, while adding PHP versions on the prod server from the "Add PHP version" tab under the
    "system" menu, I did proceed exactly the same way as I did on the test server, but the red circled signal keeps on blinking during hours, so that my entries can never be recorded. When I click on the signal, a message appears and say that I have to wait until the new entries are completly recorded.

    I reinstalled the prod server and IPS Config3 and afterwards, I skipped executing certain SSH command lines (here below) that I was told months ago (on another forum) that they were required prior to set new PHP version from ISP Config3 panel. This means that I kept default PHP 7 version delivered while Installing ISP Config3. Then I could set and record my new PHP 5.6 version successfully.

    2 QUESTIONS
    • Why does these command lines (here below) now prevent the settings recording (on panel) to be completed whereas they did not before ?
    • Do I need these command lines to be executed so it can prevent possible PHP versions management futur bugs, or can I definitely skip them ?

    *** Removing PHP 7 (default with ISP Congig3)
    ~# sudo apt remove php7.0
    ~# sudo apt remove --auto-remove php7.0
    ~# sudo apt purge --auto-remove php7.0

    *** Installing PHP Multi-version
    ~# sudo add-apt-repository ppa:eek:ndrej/php
    ~# sudo a2enmod proxy_fcgi setenvif
    ~# sudo service apache2 restart
    ~# sudo a2enconf php7.0-fpm
    ~# sudo service apache2 reload
    ~# sudo apt update
    ~# sudo apt upgrade

    Regards,

    KS
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    Your above post does not cover any bugs in ISPConfig, so the title is misleading. Your post just describes installation errors that you made which must result in a non-working setup.

    Please read the perfect server tutorial for Ubuntu 16.04 for instructions to install ISPConfig on an Ubuntu 16.04 server, you will see that none of the instructions that you posted are from any official tutorial.

    These commands must break ispconfig as you replace the required php 7 version with an older version. It worked before with ISPConfig 3.0 that did not have PHP 7 support (and which did not support Ubuntu 16.04 btw) but it can not work with ISPconfig 3.1 and later.

    These lines were never required for an ISPConfig version that had support for Ubuntu 16.04. What you did before is that you modified Ubuntu 16.04 to look like Ubuntu 15.10 to be able to install ISPConfig 3.0 on your server which had no Ubuntu 16.04 support.
     
  3. Keoz

    Keoz New Member

    Thanks !
     

Share This Page